Bug 864273 (CVE-2012-5166) - CVE-2012-5166 bind: Specially crafted DNS data can cause a lockup in named
Summary: CVE-2012-5166 bind: Specially crafted DNS data can cause a lockup in named
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2012-5166
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 859916 864748 864749 864750 864751 864753 864754 864756
Blocks: 863382
TreeView+ depends on / blocked
 
Reported: 2012-10-09 03:17 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-09-29 12:56 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-10-12 20:38:27 UTC


Attachments (Terms of Use)
diff of bind-9.6-ESV-R7-P3 to P4 (3.74 KB, patch)
2012-10-09 22:44 UTC, Vincent Danen
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:1363 normal SHIPPED_LIVE Important: bind security update 2012-10-12 23:41:30 UTC
Red Hat Product Errata RHSA-2012:1364 normal SHIPPED_LIVE Important: bind97 security update 2012-10-12 23:40:23 UTC
Red Hat Product Errata RHSA-2012:1365 normal SHIPPED_LIVE Important: bind security update 2012-10-12 23:40:10 UTC

Description Huzaifa S. Sidhpurwala 2012-10-09 03:17:11 UTC
A flaw in ISC BIND was reported where, if specific combinations of RDATA are loaded into a nameserver, either via cache or an authoritative zone, a subsequent query for a related record will cause named to lock up.

This vulnerability can be exploited remotely against recursive servers by inducing them to query for records provided by an authoritative
server. It affects authoritative servers if one of the combinations of resource records is loaded from file, provided via zone transfer, or
submitted to a zone via dynamic update.

Once bind becomes locked-up due to the above issue, it will not respond to queries or control commands. Normal functionality can only be restored by restarting named.

Workaround:
Setting the option 'minimal-responses' to 'yes' will prevent the lockup.

Comment 4 Vincent Danen 2012-10-09 22:43:25 UTC
External References:

https://kb.isc.org/article/AA-00801

Comment 5 Vincent Danen 2012-10-09 22:44:52 UTC
Created attachment 624300 [details]
diff of bind-9.6-ESV-R7-P3 to P4

The relevant bits of the diff between versions with this changelog entry:

3383.	[security]	A certain combination of records in the RBT could
                        cause named to hang while populating the additional
                        section of a response. [RT #31090]

Comment 7 Huzaifa S. Sidhpurwala 2012-10-10 03:06:45 UTC
This issue affects the version of bind as shipped with Red Hat Enterprise Linux 5 and 6. This issue affects the version of bind97 as shipped with Red Hat Enterprise Linux 5.

This issue affects the version of bind as shipped with Fedora 16 and Fedora 17

Comment 10 Huzaifa S. Sidhpurwala 2012-10-10 03:11:06 UTC
Created bind tracking bugs for this issue

Affects: fedora-all [bug 864756]

Comment 14 errata-xmlrpc 2012-10-12 19:43:50 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4 Extended Lifecycle Support

Via RHSA-2012:1365 https://rhn.redhat.com/errata/RHSA-2012-1365.html

Comment 15 errata-xmlrpc 2012-10-12 19:44:36 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:1364 https://rhn.redhat.com/errata/RHSA-2012-1364.html

Comment 16 errata-xmlrpc 2012-10-12 19:44:45 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:1363 https://rhn.redhat.com/errata/RHSA-2012-1363.html

Comment 17 Fedora Update System 2012-10-19 23:59:32 UTC
dhcp-4.2.4-16.P2.fc17, bind-dyndb-ldap-1.1.0-0.15.rc1.fc17, bind-9.9.2-2.fc17, dnsperf-2.0.0.0-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2012-10-21 06:15:19 UTC
dhcp-4.2.4-18.P2.fc18, bind-dyndb-ldap-2.0-0.3.20121009git6a86b1.fc18, bind-9.9.2-2.fc18, dnsperf-2.0.0.0-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2012-10-23 01:52:28 UTC
dhcp-4.2.4-4.P2.fc16, bind-dyndb-ldap-1.1.0-0.15.rc1.fc16, bind-9.8.4-2.fc16, dnsperf-2.0.0.0-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.